<template>
    <StackLayout class="p-20" backgroundColor="white">
        <StackLayout orientation="vertical" row="1" class="m-10">
            <Label class="title">Date de début</Label>
            <DatePicker :minDate="this.currentDate" @dateChange="startSelected()"
                        v-model="dateDebut"/>
            <Label class="title">Date de fin</Label>
            <DatePicker :minDate="this.currentDate" @dateChange="endSelected()"
                        v-model="dateFin"/>
            <Button class="btn btn-outline" text="Close Modal" @tap="close()"/>
        </StackLayout>
    </StackLayout>
</template>

<script>

export default {
    data() {
        return {
            currentDate: null,
            dateDebut: "",
            dateFin: "",
            dateSelected: {
                dateStart: "",
                dateEnd: ""
            },
        };
    },
    mounted() {
        var today = new Date();
        this.currentDate =
            today.getFullYear() +
            "-" +
            (today.getMonth() + 1) +
            "-" +
            today.getDate();
    },
    methods: {
        startSelected() {
            let date1 = new Date(this.dateDebut)
            let year1 = date1.getFullYear()
            let month1 = (1 + date1.getMonth()).toString().padStart(2, '0');
            let day1 = date1.getDate().toString().padStart(2, '0')
            this.dateSelected.dateStart = year1 + '-' + month1 + '-' + day1
        },
        endSelected() {
            let date2 = new Date(this.dateFin)
            let year2 = date2.getFullYear()
            let month2 = (1 + date2.getMonth()).toString().padStart(2, '0');
            let day2 = date2.getDate().toString().padStart(2, '0')
            this.dateSelected.dateEnd = year2 + '-' + month2 + '-' + day2
        },
        close() {
            let Dates = {dateStart: this.dateSelected.dateStart, dateEnd: this.dateSelected.dateEnd}
            this.$store.dispatch("setDates", Dates)
            this.$modal.close();
        }
    },
}
</script>

<style scoped>
.title {
    text-align: center;
    font-size: 25px;
    color: #2d2d2d;
    margin-bottom: 50;
    margin-top: 10;
}

</style>
